Request registry data

Requests registry data for a company.

You can create a request with only the company_id, and the necessary data will be retrieved from the company entity. If the company entity is missing company_number or country_code, a 422 - Unprocessable error will be raised.

Alternatively, you can override the company entity details by sending company_number, company_name, and country_code alongside the company_id in the request body.

If it is not possible to identify a single company in the relevant registry based on the data provided, the response will have a status of TooManyResults. You can resolve this picklist using the POST /v2/company-registry-data/picklist endpoint.

Body Params
string
required
length ≥ 1

Sikoia ID for the Company

string | null

The company registration number

string | null

The legal name of the company

string | null

Two letter ISO country code, e.g. GB

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json